> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rapport de crédit complet First Central

> Récupérez le rapport de crédit complet d'un individu auprès du bureau First Central à l'aide de son BVN.

L'endpoint Rapport de crédit complet First Central renvoie un rapport de crédit complet auprès du bureau First Central, notamment l'historique de prêt, la performance de remboursement et les demandes de crédit.

## Endpoint

```
POST /api/onboarding/individual/first_central_full/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `application/json`    | Oui    |

### Paramètres de corps

| Paramètre | Type   | Requis | Description                                                     |
| --------- | ------ | ------ | --------------------------------------------------------------- |
| `bvn`     | string | Oui    | Le numéro d'identification bancaire à 11 chiffres de l'individu |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/first_central_full/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -H "Content-Type: application/json" \
    -d '{"bvn": "22244545518"}'
  ```
</CodeGroup>

## Réponse

### 200 OK

```json theme={null}
{
  "status": "success",
  "data": {
    "_id": "64f600608aaf9386c646de32",
    "bvn": "22244545518",
    "name": "JOHN DOE",
    "score": {}
  },
  "message": "First Central check successful"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/onboarding/individual/first_central_full/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/onboarding/individual/first_central_full/:
    post:
      tags:
        - Individual Credit
      summary: First Central Full Report
      operationId: firstCentralFull
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - bvn
              properties:
                bvn:
                  type: string
                  example: '22244545518'
      responses:
        '200':
          description: First Central full report retrieved
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````